=== data/CMakeLists.txt ===
SET (SERVER GNOME_FileBrowserApplet_Factory.server)
SET (SCHEMA ${EXEC}.schemas)
SET (GLADEUI ${EXEC}.glade)

CONFIGURE_FILE (${FILE_BROWSER_APPLET_SOURCE_DIR}/data/${SERVER}.in 
				${FILE_BROWSER_APPLET_SOURCE_DIR}/data/${SERVER})

INSTALL (FILES ${SCHEMA}  DESTINATION "${CMAKE_INSTALL_GCONF_SCHEMA_DIR}")
INSTALL (FILES ${SERVER}  DESTINATION "${CMAKE_INSTALL_BONOBO_DIR}")
INSTALL (FILES ${GLADEUI} DESTINATION "${CMAKE_INSTALL_GLADEUI_DIR}")

INSTALL (CODE "EXEC_PROGRAM (\"export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` && gconftool-2 --makefile-install-rule ${CMAKE_INSTALL_GCONF_SCHEMA_DIR}/${SCHEMA}\")")
