## file-browser-applet 0.6.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,17 @@
 
 PROJECT (FILE_BROWSER_APPLET C)
 
-#compiler flags
+# Compiler flags
 SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -g -Wall -ansi")
 SET (EXEC file-browser-applet)
 
-#install path options
+# Version
+################################################################################
+SET (VERSION_MAJOR 0)
+SET (VERSION_MINOR 6)
+SET (VERSION_PATCH 6)
+
+# Install path options
 ################################################################################
 IF (NOT DEFINED CMAKE_INSTALL_PREFIX)
     SET (CMAKE_INSTALL_PREFIX "/usr")
@@ -39,7 +45,7 @@
 MESSAGE (STATUS "Using CMAKE_INSTALL_BUILDER_UI_DIR=${CMAKE_INSTALL_BUILDER_UI_DIR}\n")
 ################################################################################
 
-# compile time options
+# Compile time options
 SET (ENABLE_CONTEXT_MENU TRUE)
 #SET (ENABLE_HELP_DOC TRUE)
 
@@ -47,7 +53,7 @@
 ADD_SUBDIRECTORY (pixmaps)
 ADD_SUBDIRECTORY (src)
 
-#uninstall target
+# Uninstall target
 CONFIGURE_FILE ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
                 "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
                 IMMEDIATE @ONLY)
@@ -55,34 +61,25 @@
                    "${CMAKE_COMMAND}" -P 
                    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
 
-#target to generate a distribution-ready tarball
+# Target to generate a distribution-ready tarball
 SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "File Browser Applet")
 SET (CPACK_PACKAGE_VENDOR "Axel von Bertoldi")
 SET (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 SET (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-SET (CPACK_PACKAGE_VERSION_MAJOR 0)
-SET (CPACK_PACKAGE_VERSION_MINOR 6)
-SET (CPACK_PACKAGE_VERSION_PATCH 4)
+SET (CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
+SET (CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
+SET (CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
 SET (CPACK_GENERATOR TGZ)
 SET (CPACK_SOURCE_PACKAGE_FILE_NAME
     "${EXEC}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 SET (CPACK_SOURCE_GENERATOR TGZ)
 SET (CPACK_SOURCE_IGNORE_FILES
-     "CMakeCache.txt"
-     #"cmake_install.cmake"
-     "${CPACK_SOURCE_PACKAGE_FILE_NAME}"
-     "*.tar.gz"
-     "CPack*"
-     #"cmake_uninstall.cmake"
-     "CMakeFiles"
-     "install_manifest.txt"
-     "Makefile"
-     "_CPack_Packages"
-     "po"
-     "progress.make"
+     "GNOME_FileBrowserApplet_Factory.server$"
+     "config.h$"
      ".svn"
      "build"
-     "doc")
+     "doc"
+     "po")
 INCLUDE (CPack)
 
 ADD_CUSTOM_TARGET (deb checkinstall -D --pkgname="${EXEC}"
