=== pixmaps/CMakeLists.txt ===
SET (IMAGE "${EXEC}.png")

INSTALL (FILES ${IMAGE}  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/pixmaps")
INSTALL (FILES ${IMAGE}  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps")
