=== debian/changelog ===
file-browser-applet (0.6.6-1) unstable; urgency=low

  * New upstream bug-fix release.
   - Correct file order when on lower panel. (Closes: #557510)
  * debian/control:
   - Fix typo in Vcs-Bzr field.
   - Add ${misc:Depends}
   - Bump Standards-Version to 3.8.4, no changes needed.
  * debian/{control, rules, compat}:
   - Move to simplified dh rules.
  * debian/copyright: Clean up to respect current Dep5
  * debian/source/format: Moved to DebSrc version 3.0 (quilt)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 03 Apr 2010 11:45:06 -0400

file-browser-applet (0.6.4-1) unstable; urgency=low

  * New upstream release.
   - Added option to display thumbnails (if available) instead of icons.
   - Usability improvements.
   - Code cleanups.
  * debian/control:
   - Bump standards version to 3.8.3, no changes needed.
   - Add Vcs-Browser field.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 29 Aug 2009 13:32:00 -0400

file-browser-applet (0.6.2-1) unstable; urgency=low

  * New upstream release. (Closes: #504525)
   - Added context menu with a few actions (open-with, new folder here, 
     delete file/folder, create/extract archive, create CD/DVD from 
     file/folder, compile a tex file).
   - Added configuration option to make text vertical/horizontal when 
     the panel is vertical.
   - Added tooltips to configuration dialog.
   - Fixes upstream bugs #21, #30, #34, #37, #39, #43, #44, #45, #49, 
     #51, #56, #59, #60, and #62.
   - Added mnemonic keyboard shortcut to menus for 
     faster keyboard navigation.
   - Added recent documents' support.
   - Improved menu browser focus after context menu close.
   - Added preliminary DnD dragging out of applet. MOVE is the default 
     behaviour.
   - Some code cleanups and plugged memory leaks.
   - Slightly improved "New Folder" dialog.
   - Migrated to gtk+ builder from libglade.
  * debian/control:
   - Add suggests on file-roller, brasero, and rubber 
     for new features.
   - Add Vcs-Bzr field.
   - Drop depricated libglade2-dev Build-Depend
   - Drop unneeded libpanel-applet2-0 Depend. Already picked up by 
     shlibs:Depends.
   - Add versionized Build-Depend on libgtk2.0-dev (>= 2.14)
   - Bump Standards-Version to 3.8.1
  * debian/copyright:
   - Use /usr/share/common-licenses/GPL-2 rather than just GLP.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 11 Apr 2009 17:15:39 -0400

file-browser-applet (0.5.9-1) unstable; urgency=low

  * New upstream release. (Closes: #497078)
  * debian/control:
   - Remove Build-Depend on libgnomevfs2-dev and add Build-Depend
     on libglib2.0-dev as upstream has moved to GIO. (Closes: #493878)
   - Remove depreciated Depends and Build Depends on libgnome-desktop{-dev}
  * Fixes Lintian warning: timewarp-standards-version

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 29 Aug 2008 13:50:51 -0400

file-browser-applet (0.5.6-1) unstable; urgency=low

  * Initial release. (Closes: #484031)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 01 Jun 2008 18:59:43 -0400
