=== debian/control ===
Source: file-browser-applet
Section: gnome
Priority: optional
Maintainer: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               pkg-config,
               cmake (>= 2.4.7),
               libpanel-applet2-dev,
               libglib2.0-dev,
               libgtk2.0-dev (>= 2.14)
Standards-Version: 3.8.4
Vcs-Bzr: https://code.launchpad.net/~file-browser-applet-dev/file-browser-applet/debian
Vcs-Browser: http://code.launchpad.net/~file-browser-applet-dev/file-browser-applet/debian/files
Homepage: http://code.google.com/p/gnome-menu-file-browser-applet/

Package: file-browser-applet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: file-roller, brasero, rubber
Description: browse and open files on your computer from the GNOME panel
 An applet for the GNOME Panel that lets you browse and open files in your home 
 directory from your panel, without having to open a file manager.
