=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/gnome-menu-file-browser-applet/ http://gnome-menu-file-browser-applet.googlecode.com/files/file-browser-applet-(.*)\.tar\.gz
